
{*******************************************************}
{                 Any Library Demo                      }
{                                                       }
{         Copyright (c) 2004-2009  AnySoft              }
{               http://www.anylib.com                   }
{*******************************************************}

unit DemoForm;

interface                       
{$I AnyLib.Inc}
uses
  Windows, Messages, SysUtils,{$IFDEF Delphi6} Variants,{$ENDIF} Classes,
  Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls;

type
  TfrmDemo = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;            
    Invoice1: TMenuItem;       
    Excel1: TMenuItem;
    CardView1: TMenuItem;
    Design1: TMenuItem;
    N3: TMenuItem;
    Main1: TMenuItem;
    CutomTitle1: TMenuItem;
    BankAdvice1: TMenuItem;
    menCell3D: TMenuItem;
    GridTypeandSortFilter1: TMenuItem;
    N1: TMenuItem;
    VirtualGrid1: TMenuItem;
    Group1: TMenuItem;
    LinkData1: TMenuItem;
    PageBreak1: TMenuItem;
    MultiTitle1: TMenuItem;
    LinkDB21: TMenuItem;
    MasterDetail1: TMenuItem;
    procedure CardView1Click(Sender: TObject);
    procedure Invoice1Click(Sender: TObject);
    procedure Excel1Click(Sender: TObject);
    procedure Design1Click(Sender: TObject);
    procedure Main1Click(Sender: TObject);
    procedure CutomTitle1Click(Sender: TObject);
    procedure BankAdvice1Click(Sender: TObject);
    procedure menCell3DClick(Sender: TObject);
    procedure GridTypeandSortFilter1Click(Sender: TObject);
    procedure VirtualGrid1Click(Sender: TObject);
    procedure Group1Click(Sender: TObject);
    procedure LinkData1Click(Sender: TObject);
    procedure PageBreak1Click(Sender: TObject);
    procedure MultiTitle1Click(Sender: TObject);
    procedure LinkDB21Click(Sender: TObject);
    procedure MasterDetail1Click(Sender: TObject);
  private
    { Private declarations }
  public                            
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;
                            
implementation

uses CardView, Invoice, Excel, BaseForm, Main, CustomTitle, 
  BankAdvice, Grid,VirtualGrid, OleChart, GroupForm, LinkDataForm,
  ColumnsForm, ComplexForm, MasterDBForm, MasterDetailForm;

{$R *.dfm}

procedure TfrmDemo.CardView1Click(Sender: TObject);
begin
  with TfrmCardView.Create(Self) do  
    Show;
end;

procedure TfrmDemo.Invoice1Click(Sender: TObject);
begin
  with TfrmInvoice.Create(Self) do
    Show;
end;

procedure TfrmDemo.Excel1Click(Sender: TObject);
begin
  with TfrmExcel.Create(Self) do
    Show;
end;                                    

procedure TfrmDemo.Design1Click(Sender: TObject);
begin
  with TfrmCardView.Create(Self) do
    AnyGrid.DesignCells;
end;

procedure TfrmDemo.Main1Click(Sender: TObject);
begin
  with TfrmMain.Create(Self) do
    Show;
end;

procedure TfrmDemo.CutomTitle1Click(Sender: TObject);
begin
  with TfrmOleChart.Create(Self) do
    Show
end;

procedure TfrmDemo.BankAdvice1Click(Sender: TObject);
begin
  with TfrmBankAdvice.Create(Self) do
    Show;
end;                                    

procedure TfrmDemo.menCell3DClick(Sender: TObject);
begin
  with TfrmCustomTitle.Create(Self) do
    Show
end;

procedure TfrmDemo.GridTypeandSortFilter1Click(Sender: TObject);
begin
  with TfrmGrid.Create(Self) do
    Show;
end;

procedure TfrmDemo.VirtualGrid1Click(Sender: TObject);
begin
  with TfrmVirtualGrid.Create(Self) do
    Show
end;

procedure TfrmDemo.Group1Click(Sender: TObject);
begin
  with TfrmGroup.Create(Self) do
    Show;
end;

procedure TfrmDemo.LinkData1Click(Sender: TObject);
begin
  with TfrmLinkData.Create(Self) do
    Show;
end;

procedure TfrmDemo.PageBreak1Click(Sender: TObject);
begin
  with TfrmColumns.Create(Self) do
    Show;
end;

procedure TfrmDemo.MultiTitle1Click(Sender: TObject);
begin
  with TfrmComplex.Create(Self) do
    Show;
end;

procedure TfrmDemo.LinkDB21Click(Sender: TObject);
begin
  with TfrmMasterDB.Create(Self) do
    Show;
end;

procedure TfrmDemo.MasterDetail1Click(Sender: TObject);
begin
  with TfrmMasterDetail.Create(Self) do
    Show;
end;

end.
